# $Revision: 1.96 $, $Date: 2012/04/25 09:58:50 $
#
# Conditional build:
%bcond_without	dbus	# build dbus
%bcond_without	fax		# build fax, depends on dbus

%if %{without dbus}
%undefine	with_fax
%endif

Summary:	Hewlett-Packard Linux Imaging and Printing suite - printing and scanning using HP devices
Summary(pl.UTF-8):	Narzędzia Hewlett-Packard Linux Imaging and Printing - drukowanie i skanowanie przy użyciu urządzeń HP
Name:		hplip
Version:	3.12.4
Release:	1
License:	BSD (hpijs), MIT (low-level scanning and printing code), GPL v2 (the rest)
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/hplip/%{name}-%{version}.tar.gz
# Source0-md5:	a063f76aa47edab55a3f31ff2558df07
Patch0:		%{name}-desktop.patch
Patch1:		unresolved.patch
Patch2:		pld-distro.patch
Patch3:		%{name}-binary-fixup.patch
Patch4:		%{name}-build.patch
Patch5:		%{name}-udev-rules.patch
URL:		http://hplipopensource.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cups-devel
%{?with_dbus:BuildRequires:	dbus-devel >= 1.0.0}
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libusb-compat-devel >= 0.1
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules >= 2.2
BuildRequires:	rpm-pythonprov
BuildRequires:	sane-backends-devel
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	python-modules
Obsoletes:	hal-hplip
Obsoletes:	hpijs
Obsoletes:	hplip-daemon
Obsoletes:	python-hplip
Conflicts:	ghostscript <= 7.00-3
# used in scan.py
Suggests:	python-ReportLab >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _ulibdir        %{_prefix}/lib

%define 	cups_datadir 	%(cups-config --datadir 2>/dev/null || echo ERROR)
%define		cups_mimedir	%{cups_datadir}/mime
%define		cups_ppddir		%{cups_datadir}/model
%define		cups_serverdir	%(cups-config --serverbin 2>/dev/null || echo ERROR)
%define		cups_backenddir	%{cups_serverdir}/backend
%define		cups_filterdir	%{cups_serverdir}/filter

%description
The Hewlett-Packard Linux Imaging and Printing project (HPLIP)
provides a unified single and multi-function connectivity solution for
Linux. The goal of this project is to provide "radically simple"
printing, faxing, scanning, photo-card access, and device management
to the consumer and small business desktop Linux users.

%description -l pl.UTF-8
Projekt Hewlett-Packard Linux Imaging and Printing (HPLIP) udostępnia
jednolite, wielofunkcyjne rozwiązanie dla Linuksa. Celem tego projektu
jest zapewnienie "radykalnie prostego" drukowania, faksowania,
skanowania, dostępu do kart fotograficznych oraz zarządzania
urządzeniami końcowym użytkownikom Linuksa.

%package gui-tools
Summary:	HPLIP GUI tools
Summary(pl.UTF-8):	Narzędzia HPLIP z graficznym interfejsem użytkownika
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	python-PyQt4

%description gui-tools
HPLIP GUI tools.

%description gui-tools -l pl.UTF-8
Narzędzia HPLIP z graficznym interfejsem użytkownika.

%package libs
Summary:	HPLIP Libraries
Summary(pl.UTF-8):	Biblioteki HPLIP
Group:		Libraries

%description libs
HPLIP Libraries.

%description libs -l pl.UTF-8
Biblioteki HPLIP.

%package sane
Summary:	HPLIP driver for SANE (scanner access)
Summary(pl.UTF-8):	Sterownik HPLIP dla SANE (dostęp do skanera)
Group:		Libraries
Requires(post):	/bin/grep
Requires(postun):	/bin/sed
Requires:	%{name} = %{version}-%{release}

%description sane
HPLIP driver for SANE (provides scanner access).

%description sane -l pl.UTF-8
Sterownik HPLIP dla SANE (umożliwia dostęp do skanera).

%package ppd
Summary:	PPD database for Hewlett Packard printers
Summary(pl.UTF-8):	Baza danych PPD dla drukarek Hewlett Packard
Group:		Applications/System
Requires:	cups
Requires:	cups-filter-foomatic
Obsoletes:	hpijs-ppd

%description ppd
PPD database for Hewlett Packard printers.

%description ppd -l pl.UTF-8
Baza danych PPD dla drukarek Hewlett Packard.

%package -n cups-backend-hp
Summary:	HP backend for CUPS
Summary(pl.UTF-8):	Backend HP dla CUPS-a
Group:		Applications/Printing
Requires:	%{name} = %{version}-%{release}
Requires:	cups

%description -n cups-backend-hp
This package allows CUPS printing on HP printers.

%description -n cups-backend-hp -l pl.UTF-8
Ten pakiet umożliwia drukowanie z poziomu CUPS-a na drukarkach HP.

%package -n cups-backend-hpfax
Summary:	HP fax backend for CUPS
Summary(pl.UTF-8):	Backend HP fax dla CUPS-a
Group:		Applications/Printing
Requires:	%{name} = %{version}-%{release}
Requires:	cups

%description -n cups-backend-hpfax
This package allow CUPS faxing using HP AiO devices.

%description -n cups-backend-hpfax -l pl.UTF-8
Ten pakiet umożliwia wysyłanie faksów z poziomu CUPS-a poprzez
urządzenia HP AiO.

%prep
%setup -q
%undos Makefile.am
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%{__sed} -i -e's,^#!/usr/bin/env python$,#!/usr/bin/python,' *.py
%{__sed} -i -e 's#test -d /usr/share/polkit-1#true#' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti"
%configure \
	%{!?with_dbus:--disable-dbus-build} \
	%{!?with_fax:--disable-fax-build} \
	--enable-cups-drv-install \
	--enable-cups-ppd-install \
	--enable-foomatic-drv-install  \
	--enable-foomatic-ppd-install \
	--enable-foomatic-rip-hplip-install \
	--enable-hpcups-install \
	--enable-hpijs-install \
	--enable-policykit \
	--enable-pp-build \
	--enable-udev-acl-rules \
	--with-cupsbackenddir=%{cups_backenddir} \
	--with-cupsfilterdir=%{cups_filterdir} \
	--with-hpppddir=%{cups_ppddir} \
	--with-mimedir=%{_datadir}/cups/mime
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/hp

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT/var/lib/hp/hplip.state

for tool in align clean colorcal fab firmware info levels makecopies makeuri print \
		probe scan sendfax setup testpage timedate toolbox unload ; do
	ln -sf %{_datadir}/%{name}/$tool.py $RPM_BUILD_ROOT%{_bindir}/hp-$tool
done

# useless (nothing is going to link to installed libraries/modules)
%{__rm} $RPM_BUILD_ROOT{%{_libdir}/*.{so,la},%{_libdir}/sane/*.{so,la},%{py_sitedir}/*.la}
# handled by post script
%{__rm} $RPM_BUILD_ROOT/etc/sane.d/dll.conf

%if %{without fax}
rm $RPM_BUILD_ROOT%{cups_filterdir}/pstotiff
%endif

# use udev, hal's dead
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/hal

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post sane
/bin/grep -q '^hpaio' /etc/sane.d/dll.conf || echo hpaio >> /etc/sane.d/dll.conf

%postun sane
if [ "$1" = "0" ]; then
	/bin/sed -e'/^hpaio/d' -i /etc/sane.d/dll.conf || :
fi

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/hpijs
%attr(755,root,root) %{_bindir}/hp-align
%attr(755,root,root) %{_bindir}/hp-check
%attr(755,root,root) %{_bindir}/hp-check-plugin
%attr(755,root,root) %{_bindir}/hp-clean
%attr(755,root,root) %{_bindir}/hp-colorcal
%attr(755,root,root) %{_bindir}/hp-config_usb_printer
%attr(755,root,root) %{_bindir}/hp-diagnose_plugin
%attr(755,root,root) %{_bindir}/hp-diagnose_queues
%attr(755,root,root) %{_bindir}/hp-firmware
%attr(755,root,root) %{_bindir}/hp-info
%attr(755,root,root) %{_bindir}/hp-levels
%attr(755,root,root) %{_bindir}/hp-makecopies
%attr(755,root,root) %{_bindir}/hp-makeuri
%attr(755,root,root) %{_bindir}/hp-mkuri
%attr(755,root,root) %{_bindir}/hp-pkservice
%attr(755,root,root) %{_bindir}/hp-plugin
%attr(755,root,root) %{_bindir}/hp-probe
%attr(755,root,root) %{_bindir}/hp-query
%attr(755,root,root) %{_bindir}/hp-scan
%attr(755,root,root) %{_bindir}/hp-sendfax
%attr(755,root,root) %{_bindir}/hp-setup
%attr(755,root,root) %{_bindir}/hp-testpage
%attr(755,root,root) %{_bindir}/hp-timedate
%attr(755,root,root) %{_bindir}/hp-unload
%dir %{_datadir}/hplip
%{_datadir}/hplip/__init__.py
%dir %{_datadir}/hplip/copier
%{_datadir}/hplip/copier/*.py
%attr(755,root,root) %{_datadir}/hplip/align.py
%attr(755,root,root) %{_datadir}/hplip/check.py
%attr(755,root,root) %{_datadir}/hplip/check-plugin.py
%attr(755,root,root) %{_datadir}/hplip/clean.py
%attr(755,root,root) %{_datadir}/hplip/colorcal.py
%attr(755,root,root) %{_datadir}/hplip/config_usb_printer.py
%attr(755,root,root) %{_datadir}/hplip/diagnose_plugin.py
%attr(755,root,root) %{_datadir}/hplip/diagnose_queues.py
%attr(755,root,root) %{_datadir}/hplip/firmware.py
%attr(755,root,root) %{_datadir}/hplip/hpdio.py
%attr(755,root,root) %{_datadir}/hplip/hpssd.py
%attr(755,root,root) %{_datadir}/hplip/info.py
%attr(755,root,root) %{_datadir}/hplip/levels.py
%attr(755,root,root) %{_datadir}/hplip/makecopies.py
%attr(755,root,root) %{_datadir}/hplip/makeuri.py
%attr(755,root,root) %{_datadir}/hplip/pkservice.py
%attr(755,root,root) %{_datadir}/hplip/plugin.py
%attr(755,root,root) %{_datadir}/hplip/probe.py
%attr(755,root,root) %{_datadir}/hplip/query.py
%attr(755,root,root) %{_datadir}/hplip/scan.py
%attr(755,root,root) %{_datadir}/hplip/sendfax.py
%attr(755,root,root) %{_datadir}/hplip/setup.py
%attr(755,root,root) %{_datadir}/hplip/testpage.py
%attr(755,root,root) %{_datadir}/hplip/timedate.py
%attr(755,root,root) %{_datadir}/hplip/unload.py
%{_datadir}/hplip/base
%dir %{_datadir}/hplip/data
%{_datadir}/hplip/data/ldl
%{_datadir}/hplip/data/localization
%{_datadir}/hplip/data/models
%{_datadir}/hplip/data/pcl
%{_datadir}/hplip/data/ps
# fax subpackage ?
%if %{with fax}
%{_datadir}/hplip/fax
%endif
%{_datadir}/hplip/installer
%{_datadir}/hplip/pcard
%{_datadir}/hplip/prnt
%{_datadir}/hplip/scan
%attr(755,root,root) %{py_sitedir}/cupsext.so
%attr(755,root,root) %{py_sitedir}/hpmudext.so
%attr(755,root,root) %{py_sitedir}/pcardext.so
%attr(755,root,root) %{py_sitedir}/scanext.so
%dir %{_sysconfdir}/hp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hp/hplip.conf
/lib/udev/rules.d/40-hplip.rules
/lib/udev/rules.d/56-hpmud_add_printer.rules
/lib/udev/rules.d/56-hpmud_support.rules
/lib/udev/rules.d/86-hpmud_plugin.rules
/etc/dbus-1/system.d/com.hp.hplip.conf
%{_datadir}/dbus-1/system-services/com.hp.hplip.service
%{_datadir}/polkit-1/actions/com.hp.hplip.policy

%files gui-tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hp-devicesettings
%attr(755,root,root) %{_bindir}/hp-fab
%attr(755,root,root) %{_bindir}/hp-faxsetup
%attr(755,root,root) %{_bindir}/hp-linefeedcal
%attr(755,root,root) %{_bindir}/hp-pqdiag
%attr(755,root,root) %{_bindir}/hp-print
%attr(755,root,root) %{_bindir}/hp-printsettings
%attr(755,root,root) %{_bindir}/hp-systray
%attr(755,root,root) %{_bindir}/hp-toolbox
%attr(755,root,root) %{_bindir}/hp-wificonfig
%attr(755,root,root) %{_datadir}/hplip/devicesettings.py
%attr(755,root,root) %{_datadir}/hplip/wificonfig.py
%attr(755,root,root) %{_datadir}/hplip/fab.py
%attr(755,root,root) %{_datadir}/hplip/faxsetup.py
%attr(755,root,root) %{_datadir}/hplip/linefeedcal.py
%attr(755,root,root) %{_datadir}/hplip/pqdiag.py
%attr(755,root,root) %{_datadir}/hplip/print.py
%attr(755,root,root) %{_datadir}/hplip/printsettings.py
%attr(755,root,root) %{_datadir}/hplip/systray.py
%attr(755,root,root) %{_datadir}/hplip/toolbox.py
%{_datadir}/hplip/ui4
%{_datadir}/hplip/data/images
%{_sysconfdir}/xdg/autostart/hplip-systray.desktop
%{_desktopdir}/hplip.desktop
%dir /var/lib/hp
%verify(not md5 mtime size) /var/lib/hp/hplip.state

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhpip.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhpip.so.0
%attr(755,root,root) %{_libdir}/libhpmud.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhpmud.so.0

%files sane
%defattr(644,root,root,755)
%doc scan/sane/hpaio.desc
%attr(755,root,root) %{_libdir}/sane/libsane-hpaio.so.*.*.*
%attr(755,root,root) %{_libdir}/sane/libsane-hpaio.so.1

%files ppd
%defattr(644,root,root,755)
%if %{with fax}
%{cups_ppddir}/HP-Fax*.ppd.gz
%endif
%{cups_ppddir}/apollo-*.ppd.gz
%{cups_ppddir}/hp-*.ppd.gz

%files -n cups-backend-hp
%defattr(644,root,root,755)
%attr(755,root,root) %{cups_backenddir}/hp
%attr(755,root,root) %{cups_filterdir}/foomatic-rip-hplip
%attr(755,root,root) %{cups_filterdir}/hpcups
%attr(755,root,root) %{cups_filterdir}/hplipjs
%attr(755,root,root) %{cups_filterdir}/hpcac
%attr(755,root,root) %{cups_filterdir}/hpps
%{cups_datadir}/drv/hp

%if %{with fax}
%files -n cups-backend-hpfax
%defattr(644,root,root,755)
%attr(755,root,root) %{cups_backenddir}/hpfax
%attr(755,root,root) %{cups_filterdir}/hpcupsfax
%attr(755,root,root) %{cups_filterdir}/pstotiff
%{cups_mimedir}/pstotiff.types
%{cups_mimedir}/pstotiff.convs
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hplip.spec,v $
Revision 1.96  2012/04/25 09:58:50  baggins
- add new files
- create state dir and file in install

Revision 1.95  2012/04/25 09:39:59  baggins
- 3.12.4
- udev rules moved to proper place in /lib
- import USB ids in udev rules

Revision 1.94  2012/02/09 14:58:58  arekm
- up to 3.12.2

Revision 1.93  2011/11/30 19:07:40  arekm
- rel 2; patch binary plugin for 64bit, too

Revision 1.92  2011/11/30 18:09:28  arekm
- patch binary plugin to fix https://bugs.launchpad.net/hplip/+bug/666780 (32bit only fix for now)

Revision 1.91  2011/11/30 10:39:07  arekm
- up to 3.11.10

Revision 1.90  2011/10/06 20:03:20  glen
- make it recognize pld th 3.0

Revision 1.89  2011/07/30 19:52:42  arekm
- release 2

Revision 1.88  2011/07/28 20:06:54  baggins
- rel 1
- fix building against cups 1.5.0

Revision 1.87  2011/07/28 17:27:33  baggins
- 3.11.7

Revision 1.86  2011/07/28 11:07:58  baggins
- rel 2
- udev obsoletes hal

Revision 1.85  2011/06/20 12:45:52  glen
- add dbus and fax bconds

Revision 1.84  2011/06/13 19:15:42  qboosh
- general cleanup, including double packaging of some files
- remaining pl

Revision 1.83  2011/06/11 21:10:03  arekm
- up to 3.11.5

Revision 1.82  2011/02/05 01:04:08  sparky
- marked pl summary as UTF-8

Revision 1.81  2011/01/21 13:02:13  arekm
- rel 2; undos

Revision 1.80  2011/01/21 12:43:47  arekm
- up to 3.11.1

Revision 1.79  2010/11/15 19:59:01  arekm
- release 2

Revision 1.78  2010/11/07 18:08:16  wiget
- pass mime and ppd dir to configure

Revision 1.77  2010/11/07 17:16:43  wiget
- fix unresolved symbols bug

Revision 1.76  2010/10/21 12:07:59  caleb
- Up to 3.10.9

Revision 1.75  2010/08/14 22:00:19  matkor
- Version 3.10.6-1.

Revision 1.74  2010/07/08 07:53:28  arekm
- release 3

Revision 1.73  2010/06/06 07:00:55  arekm
- release 2

Revision 1.72  2010/05/23 17:39:02  arekm
- up to 3.10.5

Revision 1.71  2010/05/16 15:55:59  sparky
- fix build without polkit [sic!] installed

Revision 1.70  2010/05/12 10:59:58  baggins
- rel 4
- desktop file cleanup

Revision 1.69  2010/04/12 09:07:04  patrys
- enable udev and polkit
- rel 3

Revision 1.68  2010/04/12 08:35:24  patrys
- BR: libtiff-devel

Revision 1.67  2010/04/12 08:26:02  patrys
- 3.10.2

Revision 1.66  2010/04/11 06:27:26  arekm
- release 3

Revision 1.65  2010/01/28 20:11:06  amateja
- release 2

Revision 1.64  2010/01/20 01:06:58  sls
- ver. 3.9.12

Revision 1.63  2009/12/14 12:11:00  baggins
- rel 3

Revision 1.62  2009/12/09 13:39:40  baggins
- rel 2

Revision 1.61  2009/11/10 18:45:39  wiget
- updated to 3.9.10

Revision 1.60  2009/11/09 15:02:49  tiwek
hpijs added

Revision 1.59  2009/10/26 22:20:42  w.kier
- BR updated; dbus-devel, libusb-compat-devel, pkgconfig

Revision 1.58  2009/09/18 06:16:49  arekm
- add drv/hp

Revision 1.57  2009/08/08 19:03:37  wiget
- back to SF

Revision 1.56  2009/08/08 19:02:31  wiget
- get from dropin

Revision 1.55  2009/08/08 15:08:14  wiget
- updated to 3.9.8
- added hal subpackage

Revision 1.54  2009/08/08 14:34:07  blues
- rel.5

Revision 1.53  2009/07/15 07:08:53  arekm
- rel 4; build fixed

Revision 1.52  2009/07/12 13:20:44  arekm
- release 3

Revision 1.51  2009/01/25 13:07:01  patrys
- move systray desktop to gui package where the binary is
- rel 2

Revision 1.50  2008/11/16 15:58:48  cactus
- up to 2.8.10
- hpaio.desc removed

Revision 1.49  2008/10/03 17:44:29  arekm
- release 2

Revision 1.48  2008/07/03 11:25:09  blues
- rel.1

Revision 1.47  2008/07/01 08:55:26  tiwek
- start update to 2.8.6 (build and work)

Revision 1.46  2008/01/13 10:15:37  qboosh
- few unpackaged files less

Revision 1.45  2007-11-16 13:28:53  sls
- cleanup and TODO update

Revision 1.44  2007-11-16 13:02:45  sls
- added patch ui-optional
- hp-print goes to gui-tools
- hplip/{plugins,ui} moved to gui-tools (idea from Fedora)

Revision 1.43  2007-11-16 12:09:39  sls
- hp-setup requires installer

Revision 1.42  2007-11-16 12:06:17  sls
- package hp-scan
- don't package hp-check (seems useless for end-users)
- TODO cleanup

Revision 1.41  2007-11-16 07:26:40  sls
- removed broken cups bcond
- verbose py_sitedir files

Revision 1.40  2007-11-16 06:33:09  sls
- cleanup

Revision 1.39  2007-11-16 06:28:47  sls
- removed Source1 - looks like not used since very long time

Revision 1.38  2007-11-16 06:18:54  sls
- fixed ppd installing
- removed not longer used Source1 hplip.init

Revision 1.37  2007-11-16 06:08:31  sls
- cleanup

Revision 1.36  2007-11-16 06:00:53  sls
- remove some installer files
- cleanup

Revision 1.35  2007-11-16 05:32:56  sls
- removed package -daemon (no more start-up daemons since 2.7.6)

Revision 1.34  2007-11-16 04:58:33  sls
- Suggests python-ReportLab >= 2.0

Revision 1.33  2007-11-16 04:40:19  sls
- fixed links to hp-tools

Revision 1.32  2007-11-16 04:33:29  sls
- remove installer stuff
- remove sane/*.la (stolen from Fedora)
- package udev.rules
- package scan.py
- packaged libhpmud*.so.*
- package sane/libsane*.so.*
- info about unpackaged files

Revision 1.31  2007-11-16 04:15:33  sls
- disable-foomatic-xml-install (idea stolen from Fedora)

Revision 1.30  2007-11-16 04:10:48  sls
- python scripts got .py in files section
- commented out lots of stuff in install and files section (temporary)

Revision 1.29  2007-11-16 03:45:06  sls
- ver. 2.7.10 (NFY)

Revision 1.28  2007-05-22 15:32:51  qboosh
- pl desc for cups-backend-hpfax

Revision 1.27  2007/05/22 09:06:00  wiget
- updated to 1.7.4a
- added hpfax subpackage

Revision 1.26  2007/04/02 12:16:50  baggins
- rel 3

Revision 1.25  2007/03/26 18:02:15  pascalek
- Release 2
- missing BuildReq and Req
- daemon and gui-tools packages
- some missing %%files
- new TODO list

Revision 1.24  2007/03/26 15:55:49  pascalek
- updated to 1.7.3

Revision 1.23  2007/03/13 15:01:18  matkor
- 1.7.2-1. Fixed sane plugins (tested, work). STBR for Ac.

Revision 1.22  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.20  2007/01/03 22:37:52  arekm
- missing /etc/hp dir

Revision 1.19  2006/10/08 22:43:09  psz
- missing BR

Revision 1.18  2006/10/08 20:31:22  psz
- up to 1.6.9
- rel 1
- added missing BR

Revision 1.17  2006/10/01 11:29:28  arekm
- rebuild

Revision 1.16  2006/09/03 20:04:17  wiget
- rel. 3 (rebuild with new python)

Revision 1.15  2006/08/04 11:24:14  wiget
- updated to 1.6.7

Revision 1.14  2006/07/26 15:48:06  glen
- remove extra unneeded slash

Revision 1.13  2006/06/07 09:05:36  jajcus
- Release: 1
- python modules included in the main package (they are required by most of the tools)
- removed "#!/usr/bin/env python" from scripts
- config file installed (profides path information for the daemons and tools)
- symlinks in %{_bindir} and %{_sbindir} for hp-* tools and hpssd daemon
- /etc/sane.d/dll.conf update in %post/%postun of the sane package
- patch for proper DeskJet-670 detection

Revision 1.12  2006/06/07 07:01:46  jajcus
- %doc fixed

Revision 1.11  2006/06/07 06:56:30  jajcus
- BR: libusb-devel

Revision 1.10  2006/05/10 17:25:42  wiget
- updated to 0.9.11

Revision 1.9  2006/05/07 22:31:18  wiget
- added initscript to start helper programs

Revision 1.8  2006/05/07 21:30:37  wiget
- some files are on MIT license

Revision 1.7  2006/05/07 21:10:25  wiget
- start update to 0.9.10
- O: for hpijs
- many files from /usr/share/hplip packages

Revision 1.6  2005/11/09 22:11:28  arekm
- more update

Revision 1.5  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.4  2005/07/28 10:40:33  spider
- up to 0.9.4

Revision 1.3  2005/01/18 23:02:28  qboosh
- unified sf URL, pl fix

Revision 1.2  2005/01/18 09:25:26  ankry
- don't package foomatic-rip

Revision 1.1  2005/01/18 09:24:20  ankry
- new
